Subject: Re: bug#48801: 28.0.50; [PATCH] Feature suggestion gnus-retrieve-headers check for nov-is-evil when agent is enabled

From: Alex Bochannek <[email-masked]>
Date: Thu, 03 Jun 2021 11:01:49 -0700

Lars Ingebrigtsen <[email-masked]> writes:

> Alex Bochannek <[email-masked]> writes:
>
>> 2) Is it possible to set `nntp-nov-is-evil' as a group parameter? It
>> looks like header retrieval may be too early for this and I may need to
>> use a hook?
>
> How about setting it in an early group entry hook depending on the group
> name?  And you can also set it to nil in an agent hook.

I have experimented with this a bit and it looks like it works. Here's
what I did:

(add-hook 'gnus-summary-mode-hook 'nov-is-evil-for-nnvirtual)
(defun nov-is-evil-for-nnvirtual ()
  (if (string-match "^nnvirtual:.*" gnus-newsgroup-name)
      (setq gnus-nov-is-evil t)))

This, combined with the patch I sent in, will cause `Newsgroups' to be
recorded in the .overview files when using the agent for new messages.

Is there any documentation you would like to see before accepting this
change?

-- 
Alex.